官方QQ群收藏本站

百问linux嵌入式论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

【代码共享】第三期内核linux3.4.2(含毕业班所有驱动比如网卡)

[复制链接]

4

主题

11

帖子

53

积分

注册会员

Rank: 2

积分
53
发表于 2019-5-8 01:28:10 | 显示全部楼层
老师,这个文件系统下载后是直接NFS挂载吗,我弄好后一直启动不了系统
回复 支持 反对

使用道具 举报

8

主题

1463

帖子

4537

积分

版主

Rank: 7Rank: 7Rank: 7

积分
4537
 楼主| 发表于 2019-5-8 22:14:52 | 显示全部楼层
天人化生 发表于 2019-5-8 01:28
老师,这个文件系统下载后是直接NFS挂载吗,我弄好后一直启动不了系统

嗯 最好用nfs挂载,需要用3.4.2的内核哦~,编译器用4.4.3的
我是百问网www.100ask.org答疑助手,有关技术问题请与我联系。
韦东山视频开发板购买店铺:https://100ask.taobao.com/
微信公众平台:baiwenkeji
回复 支持 反对

使用道具 举报

4

主题

11

帖子

53

积分

注册会员

Rank: 2

积分
53
发表于 2019-5-9 14:30:09 | 显示全部楼层
老师,我内核用的是第三期的linux-3.4.2,编译器用的是4.4.3,再把上面提供的文件系统的压缩包,rootfs_jz2440,解压到nfs_root目录,然后开发板nfs挂载,启动后,串口输出的是Kernel Panic:not syncing,No init found。Try passing init =option to linux,然后下面还有一堆,这是怎么回事?
回复 支持 反对

使用道具 举报

4

主题

11

帖子

53

积分

注册会员

Rank: 2

积分
53
发表于 2019-5-9 15:12:28 来自手机 | 显示全部楼层
解决了,它是zip文件我直接在Windows上解压了,好像默认覆盖文件了
回复 支持 反对

使用道具 举报

8

主题

1463

帖子

4537

积分

版主

Rank: 7Rank: 7Rank: 7

积分
4537
 楼主| 发表于 2019-5-9 22:19:03 | 显示全部楼层
天人化生 发表于 2019-5-9 15:12
解决了,它是zip文件我直接在Windows上解压了,好像默认覆盖文件了

windows上解压会破坏软连接等一系列东西,不要在windows上搞哦
我是百问网www.100ask.org答疑助手,有关技术问题请与我联系。
韦东山视频开发板购买店铺:https://100ask.taobao.com/
微信公众平台:baiwenkeji
回复 支持 反对

使用道具 举报

4

主题

11

帖子

53

积分

注册会员

Rank: 2

积分
53
发表于 2019-5-13 21:00:38 来自手机 | 显示全部楼层
老师,这个板子上文件系统的qt环境,是只要在Ubuntu上qt5.6编辑的程序,4.4.3交叉编译的程序就可以跑吗?
回复 支持 反对

使用道具 举报

8

主题

1463

帖子

4537

积分

版主

Rank: 7Rank: 7Rank: 7

积分
4537
 楼主| 发表于 2019-5-13 22:48:21 | 显示全部楼层
天人化生 发表于 2019-5-13 21:00
老师,这个板子上文件系统的qt环境,是只要在Ubuntu上qt5.6编辑的程序,4.4.3交叉编译的程序就可以跑吗?

需要交叉编译器qt的,不过文件系统里有已经编译好的,

在github上你checkout 到Qt Remove Some file这个commit的前边,就会有完整的PC上的环境了
然后你把 rootfs_jz2440/usr/local/下的文件,拷贝你到PC /usr/local/
安装好 4.4.3的工具链,应该就能用,可以用/usr/local/Qt5.6/bin/qmake 来生成个makefile 然后make试试
我是百问网www.100ask.org答疑助手,有关技术问题请与我联系。
韦东山视频开发板购买店铺:https://100ask.taobao.com/
微信公众平台:baiwenkeji
回复 支持 反对

使用道具 举报

4

主题

11

帖子

53

积分

注册会员

Rank: 2

积分
53
发表于 2019-5-14 12:23:18 | 显示全部楼层
复制好,装好工具链以后, 执行/usr/local/Qt5.6/bin/qmake -project
显示/usr/local/Qt5.6/bin/qmake :cannot execute binary file.
估计还得在PC Ubuntu上装一下QT5.6
回复 支持 反对

使用道具 举报

4

主题

11

帖子

53

积分

注册会员

Rank: 2

积分
53
发表于 2019-5-14 14:26:54 | 显示全部楼层
天人化生 发表于 2019-5-14 12:23
复制好,装好工具链以后, 执行/usr/local/Qt5.6/bin/qmake -project
显示/usr/local/Qt5.6/bin/qmake :ca ...

成功了,老师,还需要在Ubuntu上安装QT5.6,用github上给的qmake编译
回复 支持 反对

使用道具 举报

2

主题

14

帖子

66

积分

注册会员

Rank: 2

积分
66
发表于 7 天前 | 显示全部楼层
内容不错,谢谢分享!
回复 支持 反对

使用道具 举报

技术支持
在线咨询
咨询热线
0755-86200561
微信扫一扫
获取更多资讯!

Archiver|小黑屋|百问linux嵌入式论坛     

GMT+8, 2019-9-20 12:11 , Processed in 0.230695 second(s), 5 queries , File On.

Powered by Discuz! X3.3 Licensed

© 2001-2017 Comsenz Inc. Template By 【未来科技】【 www.wekei.cn 】

快速回复 返回顶部 返回列表